嵌入式爱好者

查看: 179|回复: 2

[Linux] Qt应用程序程序编译以及发布问题

[复制链接]

2

主题

3

帖子

13

积分

i.MX6UL通行证

扫一扫,手机访问本帖
发表于 2019-10-9 17:21:21 | 显示全部楼层 |阅读模式
在虚拟机的OKMX6UL(QT5.6+linux4.1.15)开发环境中,使用qt creator编译运行会报126错误,能够构建但无法运行程序。
另外请问,写好的程序拷贝到开发板后,如何在ARM开发板上运行程序。是否有文档手册可以参考?
回复

使用道具 举报

2

主题

3

帖子

13

积分

i.MX6UL通行证

 楼主| 发表于 2019-10-9 17:46:48 | 显示全部楼层
另外问一下,
1、ARM板上的linux系统可以运行的应用程序对应使用的交叉编译器版本应该是什么,使用Hyper Terminal命令行运行时会提示No such file or directory。
2、虚拟机中使用终端命令行qmake会提示没有QSerialPort库,不能编译。但在qt creator构建就不会报错,这是为什么?
虚拟机终端qmake版本是2.01a
Using Qt version 4.8.1 in /usr/lib/x86_64-linux-gnu

板子的型号是i.MX6UL,eMMC版
板子上带的系统是
Linux version 3.14.38-6UL_ga-00063-g6a08c48 (liyue@developer-RH2485-V2) (gcc version 4.6.2 20110630 (prerelease) (Freescale MAD -- Linaro 2011.07 -- Built at 2011/08/10 09:20) )
点评回复 支持 反对

使用道具 举报

2

主题

3635

帖子

3350

积分

发表于 2019-10-10 13:59:39 | 显示全部楼层
您的开发环境是对应的linux4.1.15的开发环境,您的板子内核版本是3.14.38的系统,两个不匹配,您需要使用3.14.38的开发环境,或者升级板子的系统版本,两个的编译器不同,具体的编译器名称和版本,可以查看用户手册
技术支持电话:0312-3119192
技术支持邮箱:Android@forlinx.com
点评回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|手机版|小黑屋|飞凌嵌入式 ( 冀ICP备12004394号-1

GMT+8, 2019-10-18 06:55

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表